CHDIST.DE(1)

BEZEICHNUNG
chdist - Skript, um einfach mit mehreren Distributionen zu spielen

ÜBERSICHT
chdist [Optionen] [Befehl] [Befehl Parameter]

BESCHREIBUNG
chdist ist eine Neufassung dessen, was früher als »MultiDistroTools« (oder mdt) bekannt war. Es wird benutzt, um »APT-Verzeichnisbäume« für verschiedene Distributionen zu erstellen, die es erleichtern, den Status von Paketen in anderen Distributionen abzufragen, ohne beispielsweise Chroots zu verwenden.

OPTIONEN

-h, --help
    stellt einen Aufruftext bereit.

-d, --data-dir VERZ
    wählt das Datenverzeichnis aus (Vorgabe: ~/.chdist/).

-a, --arch ARCHITEKTUR
    wählt die Architektur aus (Vorgabe: »dpkg --print-architecture«).

--version
    zeigt Versionsinformationen.

BEFEHLE

create DISTRIBUTION [URL RELEASE ABSCHNITTE]
    bereitet einen neuen Verzeichnisbaum mit Namen DISTRIBUTION vor.

apt DISTRIBUTION <update|source|show|showsrc|…>
    führt apt innerhalb DISTRIBUTION aus.

apt-get DISTRIBUTION <update|source|…>
    führt apt-get innerhalb DISTRIBUTION aus.

apt-cache DISTRIBUTION <show|showsrc|…>
    führt apt-cache innerhalb DISTRIBUTION aus.

apt-file DISTRIBUTION <update|source|…>
    führt apt-file innerhalb DISTRIBUTION aus.

apt-rdepends DISTRIBUTION […]
    führt apt-rdepends innerhalb DISTRIBUTION aus.

aptitude DISTRIBUTION […]
    führt aptitude innerhalb DISTRIBUTION aus.

src2bin DISTRIBUTION QUELLPAKET
    listet Binärpakete für QUELLPAKET in DISTRIBUTION auf.

bin2src DISTRIBUTION BINÄRPAKET
    listet Quellpakete für BINÄRPAKET in DISTRIBUTION auf.

compare-packages DISTRIBUTION1 DISTRIBUTION2 [DISTRIBUTION3, …]
compare-bin-packages DISTRIBUTION1 DISTRIBUTION2 [DISTRIBUTION3, …]
    listet Versionen von Paketen in mehreren DISTRIBUTIONen auf.

compare-versions DISTRIBUTION1 DISTRIBUTION2
compare-bin-versions DISTRIBUTION1 DISTRIBUTION2
    dasselbe wie compare-packages/compare-bin-packages, führt aber zusätzlich dpkg --compare-versions aus und zeigt an, wo das Paket neuer ist

compare-src-bin-packages DISTRIBUTION
    vergleicht die Quell- und Binärdateien für DISTRIBUTION

compare-src-bin-versions DISTRIBUTION
    dasselbe wie compare-src-bin-packages, führt aber zusätzlich dpkg --compare-versions aus und zeigt an, wo das Paket neuer ist

grep-dctrl-packages DISTRIBUTION […]
    führt grep-dctrl für *_Packages innerhalb von DISTRIBUTION aus.

grep-dctrl-sources DISTRIBUTION […]
    führt grep-dctrl für *_Sources innerhalb von DISTRIBUTION aus.

list
    listet verfügbare DISTRIBUTIONen auf.

COPYRIGHT
Dieses Programm unterliegt dem Copyright 2007 von Lucas Nussbaum und Luk Claes. Für dieses Programm besteht KEINERLEI GARANTIE.

Es ist lizensiert unter den Bedingungen der GPL, entweder Version 2 der Lizenz oder (nach Ihrer Wahl) irgendeiner späteren Version.